version: "3.8"
services: 
    mysql_db:
        image: mysql:8.0.21
        container_name: mysqldb
        ports: 
            - "6603:3306"
        networks: 
            - compose
        restart: always
        #expose:
        #    - "3306"
        volumes: 
            - mysql-db8:/var/lib/mysql
        environment: 
            - MYSQL_USER=${DATABASE_USER}
            - MYSQL_PASSWORD=${DATABASE_PWD}
            - MYSQL_ROOT_PASSWORD=${ROOT_PWD}
            - MYSQL_DATABASE=${DATABASE}
    
    spring_app:
        image: saminmun/springapp:${GIT_COMMIT_DATE}-${GIT_COMMIT_HASH}
        restart: on-failure
        container_name: springapp
        ports:
            - "8070:8070"
        #expose: 
        #    - "8070"
        depends_on: 
            - mysql_db
        networks: 
            - compose
        environment: 
          SPRING_DATASOURCE_USERNAME: ${DATABASE_USER}
          SPRING_DATASOURCE_PASSWORD: ${ROOT_PWD}
          SPRING_DATASOURCE_URL: jdbc:mysql://mysql_db:3306/assignment?allowPublicKeyRetrieval=true
          PORT: ${SP_PORT}  
volumes:
    mysql-db8:
        driver: local
networks: 
    compose:
        driver: bridge